import java.io.*;
import java.util.*;
import java.math.BigInteger;

public class Main {
	public static void main(String [] args) throws IOException {
		Scanner in = new Scanner(new FileReader("D.in"));
		PrintWriter out = new PrintWriter(new FileWriter("D.out"));
		BigInteger n = new BigInteger(in.next());
		BigInteger a = new BigInteger(in.next());
		BigInteger b = new BigInteger(in.next());
		BigInteger res = n.subtract(a).add(b);
		out.println(res);
		out.close();
	}
}
